Close some old Gecko 2.0 branches on mozilla-central

RESOLVED FIXED

Status

defect
--
minor
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: MattN, Assigned: MattN)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [automation])

+++ This bug was initially created as a clone of Bug #611030 +++

The output of |hg heads| contains a bunch of ~2 year old branches.  I'd like to close older branches that we no longer need (like 2.0b10 relbranch for instance) and will no longer land anything on.

The branches in question are:
c408cb353a74	2011-03-14 06:47 -0700	COMM2000_20110314_RELBRANCH
864d3507de6e	2011-03-09 10:49 -0500	GECKO20b12_2011022218_RELBRANCH
eb8deade928b	2011-02-17 12:29 -0800	GECKO20b12pre_20110216_RELBRANCH
f089ccbe1893	2011-02-09 11:09 -0800	GECKO20b11_2011020209_RELBRANCH
e3c72c59c09a	2011-01-26 14:37 -0800	GECKO20b11pre_20110126_RELBRANCH
daecedbdcd10	2011-01-21 15:40 -0800	GECKO20b10_2011012115_RELBRANCH
3e8e6ed98b9f	2011-01-14 14:00 -0800	COMM2000_20110114_RELBRANCH

I'd be happy to push the changes to close all of the 2.0 release branches on mozilla-central using the same method as bug 611030 comment 6 as long as I get the green light.
(In reply to Matthew N. [:MattN] from comment #0)
> +++ This bug was initially created as a clone of Bug #611030 +++
> 
> The output of |hg heads| contains a bunch of ~2 year old branches.  I'd like
> to close older branches that we no longer need (like 2.0b10 relbranch for
> instance) and will no longer land anything on.
> 
> The branches in question are:
> c408cb353a74	2011-03-14 06:47 -0700	COMM2000_20110314_RELBRANCH
> 864d3507de6e	2011-03-09 10:49 -0500	GECKO20b12_2011022218_RELBRANCH
> eb8deade928b	2011-02-17 12:29 -0800	GECKO20b12pre_20110216_RELBRANCH
> f089ccbe1893	2011-02-09 11:09 -0800	GECKO20b11_2011020209_RELBRANCH
> e3c72c59c09a	2011-01-26 14:37 -0800	GECKO20b11pre_20110126_RELBRANCH
> daecedbdcd10	2011-01-21 15:40 -0800	GECKO20b10_2011012115_RELBRANCH
> 3e8e6ed98b9f	2011-01-14 14:00 -0800	COMM2000_20110114_RELBRANCH
> 
> I'd be happy to push the changes to close all of the 2.0 release branches on
> mozilla-central using the same method as bug 611030 comment 6 as long as I
> get the green light.

Sure, go ahead.
Done:

changeset:   138409:25093037bf15
branch:      COMM2000_20110114_RELBRANCH
parent:      60615:3e8e6ed98b9f
date:        Fri Jul 12 19:16:12 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138410:ab389a306b4c
branch:      GECKO20b10_2011012115_RELBRANCH
parent:      61123:daecedbdcd10
date:        Fri Jul 12 19:17:52 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138411:987ccd4b66b0
branch:      GECKO20b11pre_20110126_RELBRANCH
parent:      61352:e3c72c59c09a
date:        Fri Jul 12 19:18:32 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138412:c16fafdf2f99
branch:      GECKO20b11_2011020209_RELBRANCH
parent:      62227:f089ccbe1893
date:        Fri Jul 12 19:21:28 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138413:a2e691986b0c
branch:      GECKO20b12pre_20110216_RELBRANCH
parent:      62762:eb8deade928b
date:        Fri Jul 12 19:23:14 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138414:6bcf231bd430
branch:      GECKO20b12_2011022218_RELBRANCH
parent:      63364:864d3507de6e
date:        Fri Jul 12 19:25:05 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

changeset:   138415:fb4cf6555081
branch:      COMM2000_20110314_RELBRANCH
parent:      63405:c408cb353a74
date:        Fri Jul 12 19:25:30 2013 -0700
description:
Bug 845692 - Close version 2.0 release branches. a=bhearsum

https://hg.mozilla.org/integration/mozilla-inbound/rev/25093037bf15
https://hg.mozilla.org/integration/mozilla-inbound/rev/ab389a306b4c
https://hg.mozilla.org/integration/mozilla-inbound/rev/987ccd4b66b0
https://hg.mozilla.org/integration/mozilla-inbound/rev/c16fafdf2f99
https://hg.mozilla.org/integration/mozilla-inbound/rev/a2e691986b0c
https://hg.mozilla.org/integration/mozilla-inbound/rev/6bcf231bd430
https://hg.mozilla.org/integration/mozilla-inbound/rev/fb4cf6555081
Status: NEW → ASSIGNED
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.